// generated by unplugin-vue-components
// We suggest you to commit this file into source control
// Read more: https://github.com/vuejs/core/pull/3399
import '@vue/runtime-core'

export {}

declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    AccessPane: typeof import('./layout/panes/AccessPane.vue')['default']
    ColorMode: typeof import('./layout/sections/ColorMode.vue')['default']
    CompliancePane: typeof import('./layout/panes/CompliancePane.vue')['default']
    DataPane: typeof import('./layout/panes/DataPane.vue')['default']
    Dialog: typeof import('@headlessui/vue')['Dialog']
    DialogPanel: typeof import('@headlessui/vue')['DialogPanel']
    DialogTitle: typeof import('@headlessui/vue')['DialogTitle']
    Editor: typeof import('./layout/Editor.vue')['default']
    ErrorDrawer: typeof import('./layout/sections/ErrorDrawer.vue')['default']
    Format: typeof import('./layout/sections/Format.vue')['default']
    Lazy: typeof import('./components/Lazy.vue')['default']
    MarkerDrawer: typeof import('./layout/sections/MarkerDrawer.vue')['default']
    Menu: typeof import('@headlessui/vue')['Menu']
    MenuButton: typeof import('@headlessui/vue')['MenuButton']
    MenuItem: typeof import('@headlessui/vue')['MenuItem']
    MenuItems: typeof import('@headlessui/vue')['MenuItems']
    MoreInfo: typeof import('./components/MoreInfo.vue')['default']
    NAvatar: typeof import('naive-ui')['NAvatar']
    NButton: typeof import('naive-ui')['NButton']
    NButtonGroup: typeof import('naive-ui')['NButtonGroup']
    NCard: typeof import('naive-ui')['NCard']
    NCheckbox: typeof import('naive-ui')['NCheckbox']
    NConfigProvider: typeof import('naive-ui')['NConfigProvider']
    NDataTable: typeof import('naive-ui')['NDataTable']
    NDivider: typeof import('naive-ui')['NDivider']
    NDrawer: typeof import('naive-ui')['NDrawer']
    NDrawerContent: typeof import('naive-ui')['NDrawerContent']
    NEmpty: typeof import('naive-ui')['NEmpty']
    NInput: typeof import('naive-ui')['NInput']
    NInputNumber: typeof import('naive-ui')['NInputNumber']
    NLayout: typeof import('naive-ui')['NLayout']
    NLayoutSider: typeof import('naive-ui')['NLayoutSider']
    NMenu: typeof import('naive-ui')['NMenu']
    NMessageProvider: typeof import('naive-ui')['NMessageProvider']
    NModal: typeof import('naive-ui')['NModal']
    NPageHeader: typeof import('naive-ui')['NPageHeader']
    NPopover: typeof import('naive-ui')['NPopover']
    NSelect: typeof import('naive-ui')['NSelect']
    NStatistic: typeof import('naive-ui')['NStatistic']
    NSwitch: typeof import('naive-ui')['NSwitch']
    NTabPane: typeof import('naive-ui')['NTabPane']
    NTabs: typeof import('naive-ui')['NTabs']
    NTime: typeof import('naive-ui')['NTime']
    NTree: typeof import('naive-ui')['NTree']
    NUpload: typeof import('naive-ui')['NUpload']
    NUploadDragger: typeof import('naive-ui')['NUploadDragger']
    PageHeader: typeof import('./layout/sections/PageHeader.vue')['default']
    Popover: typeof import('@headlessui/vue')['Popover']
    PopoverButton: typeof import('@headlessui/vue')['PopoverButton']
    PopoverPanel: typeof import('@headlessui/vue')['PopoverPanel']
    Publish: typeof import('./layout/sections/Publish.vue')['default']
    ReferenceProperties: typeof import('./layout/sections/ReferenceProperties.vue')['default']
    SettingsPane: typeof import('./layout/panes/SettingsPane.vue')['default']
    SideBar: typeof import('./layout/SideBar.vue')['default']
    SnippetPane: typeof import('./layout/panes/SnippetPane.vue')['default']
    StatusBar: typeof import('./layout/StatusBar.vue')['default']
    Switch: typeof import('@headlessui/vue')['Switch']
    SwitchGroup: typeof import('@headlessui/vue')['SwitchGroup']
    SwitchLabel: typeof import('@headlessui/vue')['SwitchLabel']
    Tab: typeof import('@headlessui/vue')['Tab']
    TabGroup: typeof import('@headlessui/vue')['TabGroup']
    TabList: typeof import('@headlessui/vue')['TabList']
    TabPanel: typeof import('@headlessui/vue')['TabPanel']
    TabPanels: typeof import('@headlessui/vue')['TabPanels']
    TagReference: typeof import('./layout/TagReference.vue')['default']
    TagReferenceOld: typeof import('./layout/panes/TagReference-old.vue')['default']
    TEButton: typeof import('./components/TEButton.vue')['default']
    TEChip: typeof import('./components/TEChip.vue')['default']
    TEInput: typeof import('./components/TEInput.vue')['default']
    TopRibbon: typeof import('./layout/TopRibbon.vue')['default']
    TransitionChild: typeof import('@headlessui/vue')['TransitionChild']
    TransitionRoot: typeof import('@headlessui/vue')['TransitionRoot']
    UndoRedo: typeof import('./layout/sections/UndoRedo.vue')['default']
  }
}
